package SBC.NanoPi;

import SBC.BasicSBCInfo;
import anywheresoftware.b4a.BA;

@BA.ShortName("Nanopi_Neo1_Pin")


/**
 * Source : http://wiki.friendlyarm.com/wiki/index.php/NanoPi_NEO#Hardware_Spec
 * @author rdkartono
 *
 */
public class Neo1_Pin extends BasicSBCInfo  {
	
	public final LibFriendlyArmHardware WiringNP;
	
	public Neo1_Pin() {
		super();
		WiringNP = new LibFriendlyArmHardware();
	}
	public final int pin07 = 203;
	
	public final int pin11 = 0;
	
	public final int pin13 = 2;
	
	public final int pin15 = 3;
	
	public final int pin19 = 64;
	
	public final int pin21 = 65;
	
	public final int pin23 = 66;
	
	public final int pin08 = 198;
	
	public final int pin10 = 199;
	
	public final int pin12 = 6;
	
	public final int pin16 = 200;
	
	public final int pin18 = 201;
	
	public final int pin22 = 1;
	
	public final int pin24 = 67;
	
	public final String i2c_0 = "/dev/i2c-0";
	
	public void Initialize(BA bax, Object callerobject,  String event) {
		setup_events(bax, callerobject, event, this);
		
	}

	/**
	 * Belum ketemu, selalu return 0
	 */
	@Override
	public double Get_CPU_CoreVolt() {
		// TODO belum ketemu caranya
		return 0;
	}

	
	
	
}
